# Generated by Django 4.0.3 on 2022-09-01 22:28

from django.db import migrations, models
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('recipes', '0001_initial'),
        ('meal_plans', '0001_initial'),
    ]

    operations = [
        migrations.RenameField(
            model_name='mealplans',
            old_name='author',
            new_name='owner',
        ),
        migrations.RemoveField(
            model_name='mealplans',
            name='created',
        ),
        migrations.RemoveField(
            model_name='mealplans',
            name='description',
        ),
        migrations.RemoveField(
            model_name='mealplans',
            name='image',
        ),
        migrations.RemoveField(
            model_name='mealplans',
            name='updated',
        ),
        migrations.AddField(
            model_name='mealplans',
            name='date',
            field=models.DateField(default=django.utils.timezone.now),
        ),
        migrations.AddField(
            model_name='mealplans',
            name='recipes',
            field=models.ManyToManyField(related_name='meal_plans', to='recipes.recipe'),
        ),
    ]
